This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 827415 - High CPU usage in totem
High CPU usage in totem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 08:15 EDT by Steve
Modified: 2013-07-31 16:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:36:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2012-06-01 08:15:08 EDT
Description of problem:

Totem seems to be uses much more CPU than other players (and even the totem of F16, from memory).  Playing a 640x480 xvid avi in totem uses ~20% of CPU  while gst123 uses about 6~7%, VLC uses 7-9%, and mplayer (using xv) about 7%.  Playing a 1080p H.264 video uses over 100% in totem, 60% in VLC and 65% in gst123.

Version-Release number of selected component (if applicable):

totem-3.4.1-3.fc17.x86_64

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Steve 2012-06-01 20:20:01 EDT
I've downgraded to Totem 3.2 and the problem exists as well.  Downgraded to Totem 3.0.1 and the CPU usage is back to normal values.  I suspect it is because of clutter-gst, because totem 3.0.1 used Xv. 

This is becoming a real issue with the use of clutter-gst in totem.  I've posted before in https://bugzilla.redhat.com/show_bug.cgi?id=753022 on stuttering videos in totem due to clutter-gst.  I just can't see the benefit of using it if uses considerably more CPU than Xv.
Comment 2 Stefan Jensen 2012-12-08 01:32:01 EST
Same for me here on a i686.
Comment 3 Fedora End Of Life 2013-07-03 16:31:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 16:36:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.